Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.dd
Class DD

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.dd.DragDrop
              com.gwtext.client.dd.DD

Direct Known Subclasses:
  DDProxy

    public class DD

extends DragDrop

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`DD(Component component)`
`DD(Component component, java.lang.String sGroup)`
`DD(Component component, java.lang.String sGroup, DragDropConfig config)`
`DD(com.google.gwt.core.client.JavaScriptObject jsObj)`
`DD(java.lang.String id)`
`DD(java.lang.String id, java.lang.String sGroup)`
`DD(java.lang.String id, java.lang.String sGroup, DragDropConfig config)`

Method Summary
`void` | `alignElWithMouse(com.google.gwt.user.client.Element el, int iPageX, int iPageY)`
`void` | `autoOffset(int iPageX, int iPageY)`
`void` | `cachePosition(int iPageX, int iPageY)`
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.user.client.Element element, java.lang.String sGroup, com.google.gwt.core.client.JavaScriptObject config)`
`protected com.google.gwt.core.client.JavaScriptObject` | `create(java.lang.String id, java.lang.String sGroup, com.google.gwt.core.client.JavaScriptObject config)`
`boolean` | `isScroll()`
`void` | `setDelta(int iPageX, int iPageY)`
`void` | `setDragElPos(int iPageX, int iPageY)`
`void` | `setScroll(boolean scroll)`

Methods inherited from class com.gwtext.client.dd.DragDrop
`addInvalidHandleClass, addInvalidHandleId, addInvalidHandleType, addToGroup, applyConfig, clearConstraints, clearTicks, endDrag, getDragEl, getEl, getGroups, getId, getInvalidHandleClasses, getInvalidHandleTypes, getPadding, getXTicks, getYTicks, hasOuterHandles, init, initTarget, isAvailable, isLocked, isMaintainOffset, isPrimaryButtonOnly, isTarget, isValidHandleChild, lock, onAvailable, onDrag, onDragDrop, onDragDrop, onDragEnter, onDragEnter, onDragOut, onDragOut, onDragOver, onDragOver, onInvalidDrop, onMouseDown, onMouseUp, removeFromGroup, removeInvalidHandleClass, removeInvalidHandleId, removeInvalidHandleType, resetConstraints, setDragElId, setHandleElId, setOuterHandleElId, setPadding, setXConstraint, setYConstraint, startDrag, toString, unlock, unreg`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DD

    public DD(com.google.gwt.core.client.JavaScriptObject jsObj)

### DD

    public DD(java.lang.String id)

### DD

    public DD(Component component)

### DD

    public DD(java.lang.String id,
              java.lang.String sGroup)

### DD

    public DD(Component component,
              java.lang.String sGroup)

### DD

    public DD(java.lang.String id,
              java.lang.String sGroup,
              DragDropConfig config)

### DD

    public DD(Component component,
              java.lang.String sGroup,
              DragDropConfig config)

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(java.lang.String id,
                                                                 java.lang.String sGroup,
                                                                 com.google.gwt.core.client.JavaScriptObject config)

  Overrides:
    `create` in class `DragDrop`

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.user.client.Element element,
                                                                 java.lang.String sGroup,
                                                                 com.google.gwt.core.client.JavaScriptObject config)

  Overrides:
    `create` in class `DragDrop`

### isScroll

    public boolean isScroll()

### setScroll

    public void setScroll(boolean scroll)

### alignElWithMouse

    public void alignElWithMouse(com.google.gwt.user.client.Element el,
                                 int iPageX,
                                 int iPageY)

### autoOffset

    public void autoOffset(int iPageX,
                           int iPageY)

### cachePosition

    public void cachePosition(int iPageX,
                              int iPageY)

### setDelta

    public void setDelta(int iPageX,
                         int iPageY)

### setDragElPos

    public void setDragElPos(int iPageX,
                             int iPageY)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD